> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product

> Retrieve a list of Products



## OpenAPI

````yaml get /v2/action/glasscore/product
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /v2/action/glasscore/product:
    get:
      tags:
        - Product
      summary: List Product
      description: Retrieve a list of Products
      operationId: ListProduct
      parameters:
        - $ref: '#/components/parameters/return'
        - $ref: '#/components/parameters/isAdditionalData'
      responses:
        '200':
          description: A list of Products
          content:
            application/json:
              schema:
                type: object
                properties:
                  aggregateRating:
                    type: number
                    nullable: true
                    description: >-
                      Represents the overall score or value given to a product
                      based on combined user reviews or ratings.
                  descrip:
                    type: string
                    description: Description of record.
                  featureSetArray:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          nullable: true
                        isRequired:
                          type: boolean
                          nullable: true
                      required:
                        - id
                        - isRequired
                    description: >-
                      Contains a collection of specific attributes or
                      characteristics associated with a product.
                  fee:
                    type: number
                    nullable: true
                    description: >-
                      Represents the additional charge associated with a
                      product.
                  id:
                    type: number
                    description: Unique identifier.
                  internalName:
                    type: string
                    description: >-
                      Represents the unique identifier used internally for each
                      product.
                  isDeprecated:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether a product is no longer in use or
                      recommended for use.
                  isMarketplace:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether the product is sold on a marketplace
                      platform or not.
                  isWebApp:
                    type: boolean
                    nullable: true
                    description: Indicates whether the product is a web application or not.
                  name:
                    type: string
                    description: Name of product.
                  requireCompany:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether a company affiliation is necessary for
                      the product.
                  requireLocation:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether a specific location is necessary for the
                      product.
                  requirePerson:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether a product needs a person for its
                      operation or use.
                  requireShipping:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether or not a product needs to be shipped to
                      the customer.
                  shortName:
                    type: string
                    description: >-
                      Contains a brief, abbreviated title or identifier for a
                      specific product.
                  totalReviews:
                    type: number
                    nullable: true
                    description: >-
                      Represents the aggregate count of customer feedback
                      received for a specific product.
                required:
                  - aggregateRating
                  - descrip
                  - featureSetArray
                  - fee
                  - id
                  - internalName
                  - isDeprecated
                  - isMarketplace
                  - isWebApp
                  - name
                  - requireCompany
                  - requireLocation
                  - requirePerson
                  - requireShipping
                  - shortName
                  - totalReviews
components:
  parameters:
    return:
      schema:
        $ref: '#/components/schemas/return'
      required: false
      name: return
      in: query
    isAdditionalData:
      schema:
        $ref: '#/components/schemas/isAdditionalData'
      required: false
      name: isAdditionalData
      in: query
  schemas:
    return:
      type: string
      description: >-
        Comma-separated list of specific fields to return/append in the
        response. See `isAdditionalData` for more details.
      example: id,nameFirst,nameLast
    isAdditionalData:
      type: boolean
      description: >-
        Set to `true` to merge requested fields with default response, or
        false/omit to return only requested fields plus `ID`.
      example: true

````